#
# Conditional build:
%bcond_with	tests	# perform "make test"
#
%define		pdir	Gnome2
%define		pnam	VFS
Summary:	Perl bindings for the GNOME Virtual File System
Summary(pl.UTF-8):	Dowiązania Perla dla biblioteki GNOME Virtual File System
Name:		perl-Gnome2-VFS
Version:	1.084
Release:	3
License:	LGPL v2+
Group:		Development/Languages/Perl
Source0:	https://downloads.sourceforge.net/gtk2-perl/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	1dada72fb56a97e3397c9cb4304f81ab
URL:		http://gtk2-perl.sourceforge.net/
BuildRequires:	gnome-vfs2-devel >= 2.14.1
BuildRequires:	perl-ExtUtils-Depends >= 0.201
BuildRequires:	perl-ExtUtils-PkgConfig >= 1.03
BuildRequires:	perl-Glib >= 1.120
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.745
Requires:	gnome-vfs2-libs >= 2.14.1
Requires:	perl-Glib >= 1.120
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The VFS module allows a perl developer to use the GNOME Virtual File
System.

Note: this module is deprecated and no longer maintained.

%description -l pl.UTF-8
Moduł VFS pozwala programistom perlowym na używanie biblioteki GNOME
Virtual File System.

Uwaga: ten moduł jest przestarzały i nie jest już utrzymywany.

%package devel
Summary:	Development files for Perl Gnome2-VFS bindings
Summary(pl.UTF-8):	Pliki programistyczne wiązań Gnome2-VFS dla Perla
Group:		Development/Languages/Perl
Requires:	%{name} = %{version}-%{release}
Requires:	gnome-vfs2-devel >= 2.14.1
Requires:	perl-Cairo-devel
Requires:	perl-Glib >= 1.120

%description devel
Development files for Perl Gnome2-VFS bindings.

%description devel -l pl.UTF-8
Pliki programistyczne wiązań Gnome2-VFS dla Perla.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{perl_vendorarch}/Gnome2/VFS/{*,*/*,*/*/*}.pod

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc NEWS README
%{perl_vendorarch}/Gnome2/VFS.pm
%dir %{perl_vendorarch}/Gnome2/VFS
%dir %{perl_vendorarch}/auto/Gnome2/VFS
%attr(755,root,root) %{perl_vendorarch}/auto/Gnome2/VFS/VFS.so
%{_mandir}/man3/Gnome2::VFS*.3pm*

%files devel
%defattr(644,root,root,755)
%{perl_vendorarch}/Gnome2/VFS/Install
%changelog
* Mon Aug 22 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Gnome2-VFS.git;a=log;h=master

* Mon Aug 22 2022 Jan Palus <atler@pld-linux.org> 6e7fc58
- perl 5.36.0 rebuild

* Sun Feb 27 2022 Jan Rękorajski <baggins@pld-linux.org> 58afbdf
- rebuild with perl 5.34.0

* Sat Jun 19 2021 Jakub Bogusz <qboosh@pld-linux.org> a85de33
- updated to 1.084, deprecated now

* Fri May 07 2021 Jan Rękorajski <baggins@pld-linux.org> 56bca1d
- rebuild with perl 5.32

* Fri Apr 24 2020 Jakub Bogusz <qboosh@pld-linux.org> 188541a
- updated to 1.083

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 19d4e38
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> 95c4f58
- rebuild with perl 5.30.0
- release 6 (by relup.sh)

* Thu Aug 30 2018 Jan Rękorajski <baggins@pld-linux.org> 792d039
- rebuild with perl 5.28.0
- release 5 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> ba7b6bb
- perl req/prov fix
- release 4 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 326d3ce
- rebuild with perl 5.26
- release 3 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> 79138c6
- rebuild with perl 5.24.0
- release 2 (by relup.sh)

* Sun Jan 10 2016 Jakub Bogusz <qboosh@pld-linux.org> e75eb68
- updated to 1.082
- split -devel

* Fri Dec 25 2015 Jan Rękorajski <baggins@pld-linux.org> 38d0037
- release 8 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> ed892b6
- release 7 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 3e35090
- x32 rebuild
- release 6 (by relup.sh)

* Mon Sep 15 2014 Jan Rękorajski <baggins@pld-linux.org> d5a2eac
- release 5 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 22115c0
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 103b313
- rebuild for perl 5.20
- release 4 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 9f8c7a9
- rebuild with perl 5.18.0
- release 3 (by relup.sh)

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 25fa7e0
- release 2

